<!--
    Copyright © 2016 - 2020 Stefan Berg <isbeorn86+NINA@googlemail.com> and the N.I.N.A. contributors

    This file is part of N.I.N.A. - Nighttime Imaging 'N' Astronomy.

    This Source Code Form is subject to the terms of the Mozilla Public
    License, v. 2.0. If a copy of the MPL was not distributed with this
    file, You can obtain one at http://mozilla.org/MPL/2.0/.-->
<UserControl
    x:Class="NINA.View.AnchorableTelescopeView"
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
    xmlns:local="clr-namespace:NINA.View"
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
    xmlns:ns="clr-namespace:NINA.Locale"
    d:DesignHeight="300"
    d:DesignWidth="300"
    mc:Ignorable="d">
    <ScrollViewer VerticalScrollBarVisibility="Auto">
        <StackPanel Orientation="Vertical">
            <Border
                Margin="0,5,0,0"
                BorderBrush="{StaticResource BorderBrush}"
                BorderThickness="0"
                Visibility="{Binding TelescopeInfo.Connected, Converter={StaticResource InverseBooleanToVisibilityCollapsedConverter}}">
                <UniformGrid VerticalAlignment="Center" Columns="2">
                    <TextBlock VerticalAlignment="Center" Text="{ns:Loc LblConnected}" />
                    <CheckBox
                        Width="20"
                        Height="20"
                        Margin="5,0,0,0"
                        HorizontalAlignment="Left"
                        BorderBrush="Transparent"
                        IsChecked="{Binding TelescopeInfo.Connected, FallbackValue=False, Mode=OneWay}"
                        IsEnabled="False"
                        Style="{StaticResource CheckmarkCheckbox}" />
                </UniformGrid>
            </Border>
            <Border
                Margin="0,5,0,0"
                BorderBrush="{StaticResource BorderBrush}"
                BorderThickness="0">
                <UniformGrid VerticalAlignment="Center" Columns="2">
                    <TextBlock VerticalAlignment="Center" Text="{ns:Loc LblTracking}" />
                    <CheckBox
                        Width="20"
                        Height="20"
                        Margin="5,0,0,0"
                        HorizontalAlignment="Left"
                        BorderBrush="Transparent"
                        IsChecked="{Binding TelescopeInfo.Tracking, FallbackValue=False, Mode=OneWay}"
                        IsEnabled="False"
                        Style="{StaticResource CheckmarkCheckbox}" />
                </UniformGrid>
            </Border>
            <Border
                Margin="0,5,0,0"
                BorderBrush="{StaticResource BorderBrush}"
                BorderThickness="0">
                <UniformGrid VerticalAlignment="Center" Columns="2">

                    <TextBlock Text="{ns:Loc LblSiderealTime}" />
                    <TextBlock Margin="5,0,0,0" Text="{Binding TelescopeInfo.SiderealTimeString}" />
                </UniformGrid>
            </Border>
            <Border
                Margin="0,5,0,0"
                BorderBrush="{StaticResource BorderBrush}"
                BorderThickness="0">
                <UniformGrid VerticalAlignment="Center" Columns="2">

                    <TextBlock Text="{ns:Loc LblMeridianIn}" />
                    <TextBlock Margin="5,0,0,0" Text="{Binding TelescopeInfo.HoursToMeridianString}" />
                </UniformGrid>
            </Border>
            <Border
                Margin="0,5,0,0"
                BorderBrush="{StaticResource BorderBrush}"
                BorderThickness="0"
                Visibility="{Binding Source={StaticResource AppVM}, Path=ActiveProfile.MeridianFlipSettings.Enabled, Converter={StaticResource VisibilityConverter}}">
                <UniformGrid VerticalAlignment="Center" Columns="2">
                    <TextBlock Text="{ns:Loc LblMeridianFlipIn}" />
                    <TextBlock Margin="5,0,0,0" Text="{Binding TelescopeInfo.TimeToMeridianFlipString}" />
                </UniformGrid>
            </Border>
            <Border
                Margin="0,5,0,0"
                BorderBrush="{StaticResource BorderBrush}"
                BorderThickness="0">
                <UniformGrid VerticalAlignment="Center" Columns="2">

                    <TextBlock Text="{ns:Loc LblRightAscension}" />
                    <TextBlock Margin="5,0,0,0" Text="{Binding TelescopeInfo.RightAscensionString}" />
                </UniformGrid>
            </Border>
            <Border
                Margin="0,5,0,0"
                BorderBrush="{StaticResource BorderBrush}"
                BorderThickness="0">
                <UniformGrid VerticalAlignment="Center" Columns="2">

                    <TextBlock Text="{ns:Loc LblDeclination}" />
                    <TextBlock Margin="5,0,0,0" Text="{Binding TelescopeInfo.DeclinationString}" />
                </UniformGrid>
            </Border>
            <Border
                Margin="0,5,0,0"
                BorderBrush="{StaticResource BorderBrush}"
                BorderThickness="0">
                <UniformGrid VerticalAlignment="Center" Columns="2">

                    <TextBlock Text="{ns:Loc LblAltitude}" />
                    <TextBlock Margin="5,0,0,0" Text="{Binding TelescopeInfo.AltitudeString}" />
                </UniformGrid>
            </Border>
            <Border
                Margin="0,5,0,0"
                BorderBrush="{StaticResource BorderBrush}"
                BorderThickness="0">
                <UniformGrid VerticalAlignment="Center" Columns="2">
                    <TextBlock Text="{ns:Loc LblAzimuth}" />

                    <TextBlock Margin="5,0,0,0" Text="{Binding TelescopeInfo.AzimuthString}" />
                </UniformGrid>
            </Border>
            <Border
                Margin="0,5,0,0"
                BorderBrush="{StaticResource BorderBrush}"
                BorderThickness="0">
                <UniformGrid VerticalAlignment="Center" Columns="2">
                    <TextBlock Text="{ns:Loc LblSideOfPier}" />

                    <TextBlock Margin="5,0,0,0" Text="{Binding TelescopeInfo.SideOfPier, Converter={StaticResource SideOfPierConverter}}" />
                </UniformGrid>
            </Border>
        </StackPanel>
    </ScrollViewer>
</UserControl>